| Home | Libraries | People | FAQ | More

## Function template make_times_range

boost::numeric::odeint::make_times_range — Factory function to construct a single pass range of times iterators. A range is here a pair of times_iterator.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/times_iterator.hpp>

    template<typename Stepper, typename System, typename State,
             typename TimeIterator>
      std::pair< times_iterator< Stepper, System, State, TimeIterator >, times_iterator< Stepper, System, State, TimeIterator > >
      make_times_range(Stepper stepper, System system, State & x,
                       TimeIterator t_start, TimeIterator t_end,
                       typename traits::time_type< Stepper >::type dt);

## Description

Parameters:

`dt` | The initial time step.
`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`t_end` | End iterator of the sequence of evaluation time points.
`t_start` | Begin iterator of the sequence of evaluation time points.
`x` | The initial state. `const_step_iterator` store a reference of s and changes its value during the iteration.

Returns: | The times iterator range.